Subject: Re: Regression in 'git pull --rebase --autostash' since v2.32.0

From: Felipe Contreras <[email-masked]>
Date: Fri, 23 Jul 2021 11:11:32 -0500

Philippe Blain wrote:
> Le 2021-07-17 à 23:05, Felipe Contreras a écrit :
> > Philippe Blain wrote:
> >> Le 2021-07-17 à 15:34, Felipe Contreras a écrit :
> > 
> >> The fix I suggested in [1] seems to fix both cases, but as I wrote there
> >> it still leaves two code paths that might trigger the bug. I'm not familiar
> >> at all with the code for these two code paths, so I'm not ready to send
> >> a formal patch; I thought I'd send the diff anyway if you or Denton (or anyone
> >> else) wants to start from there.
> > 
> > Unfortunately I'm not familiar with the `git merge` code either, I've
> > only been modifying the `git pull` code, so I would also be starting
> > from scratch if I tried to fix that myself.
> > 
> > But I think that's where it should be fixed.
> 
> I've just sent a patch series that fixes it:
> 
> https://lore.kernel.org/git/[email-masked]/T/#t

Thank you. I've reviewed the series and looks fine to me.

-- 
Felipe Contreras